Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.item
Class ItemPk

    java.lang.Object
      |
      +--theory.smart.foundation.SmartKey
            |
            +--theory.smart.ebusiness.item.ItemPk

Direct Known Subclasses:
  BasicBeanPk

public class ItemPk
extends SmartKey
implements java.io.Serializable

This is a PrimaryKey for managing the life cycle of a BSC Configurable/Entity bean. It is derived from SmartKey which requires that the classes be serializable and comparable. This class is generated by Theory Center's SmartGenartor.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `identifier`
`java.lang.String` | `supplier`
`java.lang.String` | `version`

Constructor Summary
`ItemPk()` Default constructor.
`ItemPk(java.lang.String supplier, java.lang.String identifier, java.lang.String version)` Constructor that takes in all of the primary key attributes as parameters.

Method Summary
`int` | `compareTo(java.lang.Object o)` Implements the compareTo method.
`java.lang.String` | `toString()` Returns the stringified version of the key class.

Methods inherited from class theory.smart.foundation.SmartKey
`equals`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### supplier

    public java.lang.String supplier

### identifier

    public java.lang.String identifier

### version

    public java.lang.String version

Constructor Detail

### ItemPk

    public ItemPk()

  Default constructor.

### ItemPk

    public ItemPk(java.lang.String supplier,
                  java.lang.String identifier,
                  java.lang.String version)

  Constructor that takes in all of the primary key attributes as parameters. All attribute values will be set to the input parameter values.

Method Detail

### compareTo

    public int compareTo(java.lang.Object o)

  Implements the compareTo method. The following conditions hold true:

         (a > b) ==> (b < a)
         (a < b) ==> (b > a)
         (a = b) ==> (b = a)

  Overrides:
    compareTo in class SmartKey

### toString

    public java.lang.String toString()

  Returns the stringified version of the key class.
  Overrides:
    toString in class SmartKey

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.